## com.bbn.openmap.dataAccess.shape.output
Class ShpOutputStream

    java.lang.Object
      |
      +--com.bbn.openmap.dataAccess.shape.output.ShpOutputStream

public class ShpOutputStream
extends java.lang.Object

Writes data to a .shp file

Author:
  Doug Van Auken

Constructor Summary
`ShpOutputStream(java.io.OutputStream os)` Creates an outputstream to write to

Method Summary
`int[][]` `writeGeometry(EsriGraphicList list)` Determine what type of list is given and write it out.
`int[][]` `writePointGeometry(EsriGraphicList list)` Writes point geometry to the class scope LittleEndianOutputStream.
`int[][]` `writePolyGeometry(EsriGraphicList list)` Writes polygon geometry to the class scope LittleEndianInputStream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShpOutputStream

    public ShpOutputStream(java.io.OutputStream os)

  Creates an outputstream to write to

Parameters:
  `os` - The output stream to write to

Method Detail

### writeGeometry

    public int[][] writeGeometry(EsriGraphicList list)
                          throws java.io.IOException

  Determine what type of list is given and write it out.

  Parameters:
    `list` - The EsriGraphicList to write
  Returns:
    The index data that is used to create the .shx file
    `java.io.IOException`

### writePolyGeometry

    public int[][] writePolyGeometry(EsriGraphicList list)
                              throws java.io.IOException

  Writes polygon geometry to the class scope LittleEndianInputStream.

  Parameters:
    `list` - The list of geometry objects to save
  Returns:
    A two dimensional array containing shape offsets and content lengths
    `java.io.IOException`

### writePointGeometry

    public int[][] writePointGeometry(EsriGraphicList list)
                               throws java.io.IOException

  Writes point geometry to the class scope LittleEndianOutputStream.

  Parameters:
    `list` - An EsriGraphicList of points
  Returns:
    A two dimensional array containing shape offsets and content lengths
    `java.io.IOException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details